缙哥哥的博客
与你分享我的点点滴滴生活

青龙面板批量部署依赖库,以便适应各种脚本

【羊毛福利】:《0.1元包邮天猫超市洗衣液450g甚至2kg》|《移动免流量不限速大空间网盘

这不狗哥又跟我分享了羊毛,结果一运行,提示:

Error:Cannot find module ‘axios’

一怒之下,缙哥哥决定把常见的依赖库都给它装上去,免得以后运行其他羊毛脚本的时候提示各种错误。

为了方便大家一次成功,这里分享下青龙面板的部署教程《青龙面板自动领京东京豆,做农场浇水、萌宠、工厂、种豆等任务》,再此基础上部署依赖库。

服务器安装依赖库

输入:

docker ps

查看青龙面板 Docker 是否正常运行,记下青龙 Docker 的容器名字,如果是按照缙哥哥的部署教程操作,那么默认的名称就是qinglong

输入一键安装命令:

docker exec -it qinglong bash

如果你的青龙容器不叫qinglong,那自己替换为相应的容器名字。

安装依赖命令:

curl -fsSL https://ghproxy.com/https://raw.githubusercontent.com/shufflewzc/QLDependency/main/Shell/QLOneKeyDependency.sh | sh

如果你使用的是国内服务器,并且上述命令超时,可尝试缙哥哥加速版:

curl -fsSL https://api.dujin.org/js/qinglong/qinglong-yilaiku-dujin.org.sh | sh

海外服务器可以使用这个:

curl -fsSL https://raw.githubusercontent.com/FlechazoPh/QLDependency/main/Shell/QLOneKeyDependency.sh | sh

慢慢等就 OK 了。

青龙面板添加依赖库

点击左侧菜单依赖管理(IP/dependence),再在右上角点击添加依赖

依赖类型分三种,分别是:NodeJs、Python3、Linux,我们分别进行添加。添加的方式非常简单,按上图所示,选择好对应的依赖类型,然后输入名称即可。名称缙哥哥会根据三种依赖类型进行归类,小伙伴们一个个复制即可。

NodeJs 依赖库

crypto-js
prettytable
dotenv
jsdom
date-fns
tough-cookie
tslib
[email protected]
ts-md5
jsdom -g
jieba
fs
form-data
json5
global-agent
png-js
@types/node
require
typescript
js-base64
axios

Python3 依赖库

requests
canvas  
ping3
jieba
aiohttp

Linux 依赖库

bizCode
bizMsg  
lxml

在青龙面板依赖库中添加后会自动执行安装,点击日志或者刷新页面可以查看是否安装成功,若安装失败可以点击重新安装。

赞(25) 打赏
转载请注明来源及链接:缙哥哥 » 青龙面板批量部署依赖库,以便适应各种脚本
如需 WordPress 优化加速、二次开发、托管等服务,可联系我购买付费服务:点此联系我 | 近期站内热门福利:

评论 19

评论前必须登录!

 

  1. #10

    不知道咋的?。linux下面的依赖始终无法安装。。

    chancat2个月前 (07-25)
    • 反复安装即可

      缙哥哥2个月前 (07-25)
      • 。。我都卸载重装了,也不行。另外用了你的一键安装依赖脚本。之后原本已经安装上的node.下的依赖全失败了,再也重装不上

        chancat2个月前 (07-26)
        • 这两天我才重装的,没有问题。

          缙哥哥2个月前 (07-26)
      • 再卸载重装一遍试试。。

        chancat2个月前 (07-26)
  2. #9

    大佬你好,我在群晖docker安装青龙时安装日志依赖安装中npm install报ERR_PNPM_META_FETCH_FAIL,且进去面板添加依赖nodejs和Linux安装失败,本人小白各种搜索依然没有解决。烦请大佬指点一下

    dhlmt3个月前 (07-04)
  3. #8

    努力安装依赖中

    qwess1233215个月前 (05-23)
  4. #7

    ql.sh: line 34: cd: /ql: No such file or directory

    added 1 package in 15s

    11 packages are looking for funding
    run `npm fund` for details
    npm notice
    npm notice New minor version of npm available! 8.5.5 -> 8.10.0
    npm notice Changelog: https://github.com/npm/cli/releases/tag/v8.10.0
    npm notice Run npm install -g [email protected].0 to update!
    npm notice
    ql.sh: line 36: cd: /ql: No such file or directory

    added 1 package in 4s
    ql.sh: line 38: cd: /ql: No such file or directory

    added 1 package in 9s
    ql.sh: line 40: cd: /ql: No such file or directory

    added 8 packages in 2s
    ql.sh: line 42: cd: /ql: No such file or directory

    added 1 package in 2s
    ql.sh: line 44: cd: /ql: No such file or directory

    added 1 package in 1s
    ql.sh: line 46: cd: /ql: No such file or directory

    added 1 package in 1s
    ql.sh: line 48: cd: /ql: No such file or directory
    出现这样的错误。。。

    [[email protected] ~]# ls
    anaconda-ks.cfg db.tar.gz pika ql video

    scker5个月前 (05-20)
  5. #6

    青龙面板里添加Python3依赖库和Linux 依赖库为啥一直失败?服务器安装显示安装完毕,但青龙面板里还是无法运行,提示Traceback (most recent call last):
    File "jd_disable.py", line 14, in <module>
    import requests
    ModuleNotFoundError: No module named 'requests'

    smile16个月前 (04-24)
    • 推荐两个软件给你
      电脑端https://www.dujin.org/17149.html
      手机端https://www.dujin.org/19379.html

      缙哥哥6个月前 (04-24)
  6. #5

    还有,为什么会删除失败亚

    newbeett6个月前 (04-23)
  7. #4

    请问三个依赖都是复制全部,然后粘贴到名称吗?

    newbeett6个月前 (04-23)
  8. #3

    开始时间 2022/4/14 08:36:48
    npm WARN using –force Recommended protections disabled.

    changed 1 package in 600ms
    /bin/bash: line 13: form-data: command not found
    依赖安装失败,结束时间 2022/4/14 08:36:49,耗时 1.176 秒

    三个依赖都失败 是咋回事呢

    yujian6个月前 (04-14)
  9. #2

    提示:
    WARNING: Running pip install with root privileges is generally not a good idea. Try `pip3 install –user` instead.
    Requirement already satisfied: requests in /usr/lib/python3.6/site-packages
    Requirement already satisfied: chardet<3.1.0,>=3.0.2 in /usr/lib/python3.6/site-packages (from requests)
    Requirement already satisfied: idna<2.8,>=2.5 in /usr/lib/python3.6/site-packages (from requests)
    Requirement already satisfied: urllib3<1.25,>=1.21.1 in /usr/lib/python3.6/site-packages (from requests)
    sh: line 68: cd: /ql: No such file or directory
    sh: line 69: cd: /ql/scripts/: No such file or directory
    sh: line 70: cd: /ql: No such file or directory
    sh: line 71: apk: command not found
    sh: line 72: cd: /ql: No such file or directory
    sh: line 73: apk: command not found
    sh: line 74: cd: /ql: No such file or directory

    star2k10个月前 (12-21)
  10. #1

    都提示找不到怎么办??

    [email protected] 11:16 # curl -fsSL https://ghproxy.com/https://raw.githubuserconten
    t.com/shufflewzc/QLDependency/main/Shell/QLOneKeyDependency.sh | sh

    安装依赖…

    安装依赖需要时间,请耐心等待!

    sh: npm: not found
    sh: npm: not found
    sh: npm: not found
    sh: npm: not found
    sh: npm: not found
    sh: npm: not found
    sh: npm: not found
    sh: npm: not found
    sh: npm: not found
    sh: npm: not found
    sh: npm: not found
    sh: npm: not found
    sh: npm: not found
    sh: npm: not found
    sh: npm: not found
    sh: npm: not found
    sh: npm: not found
    sh: pip3: not found
    sh: apk: not found
    sh: apk: not found
    sh: apk: not found

    依赖安装完毕…

    spiderkk10个月前 (12-21)

觉得文章有用就打赏一下文章作者

非常感谢你的打赏,我们将继续给力更多优质内容,让我们一起创建更加美好的网络世界!

支付宝扫一扫打赏

微信扫一扫打赏